.main-collection-container {
  display: block;
  background-color: rgb(var(--color-background));
}

.main-collection {
  padding-block: 40px;
}

.main-collection__no-products-tips {
  color: rgb(var(--color-text));
}

.main-collection__list {
  margin-block-end: 40px;
  overflow: visible;
}

.main-collection__list > li:not(.promotion-card-item) {
  display: flex;
  min-width: 0;
}

.main-collection__list > li:not(.promotion-card-item) > .product-card-shadow-space,
.main-collection__list .product-card-shadow-space,
.main-collection__list .block-product-card {
  width: 100%;
  height: 100%;
  min-width: 0;
}

.main-collection__list .block-product-card {
  display: flex;
  flex-direction: column;
}

.main-collection__list .block-product-image__layer-image-wrapper {
  flex: none;
  background: #fff;
}

.main-collection__list .block-product-image__image {
  object-fit: contain !important;
}

.main-collection__list .block-product-card-info:not(.block-product-card-info--layer) {
  display: flex;
  flex: 1;
  flex-direction: column;
  align-items: stretch;
  width: 100%;
  min-width: 0;
}

.main-collection__list .block-product-title {
  display: -webkit-box;
  min-height: 2.8em;
  overflow: hidden;
  line-height: 1.4;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

.main-collection__list .block-product-price {
  min-height: 2.8em;
}

.main-collection__list .block-product-buy-button-wrapper {
  width: 100%;
  margin-top: auto;
}

.main-collection__list .block-product-buy-button-wrapper shopline-product-form,
.main-collection__list .block-product-buy-button {
  width: 100%;
}

@media (max-width: 959px) {
  .main-collection__list {
    margin-block-end: 20px;
  }
}

@media (max-width: 959px) {
  .main-collection {
    padding-block: 0 20px;
  }
}

@media (min-width: 960px) {
  .main-collection {
    display: grid;
  }

  .main-collection .main-collection__products {
    grid-area: list;
  }

  .main-collection .facets-filtering {
    grid-area: filtering;
  }

  .main-collection .facets-sorting-wrapper {
    grid-area: sorting;
  }

  .main-collection.facets-layout-horizontal {
    grid-template:
      "filtering sorting"
      "list list"
      / 1fr auto;
    row-gap: 8px;
  }

  .main-collection.facets-layout-vertical {
    grid-template:
      "sorting sorting"
      "list list"
      / 256px auto;
  }

  .main-collection.facets-layout-vertical.enable-filtering {
    grid-template:
      "filtering sorting" auto
      "filtering list" 1fr
      / 256px auto;
    column-gap: 22px;
  }

  .main-collection.facets-layout-drawer {
    grid-template:
      "filtering sorting"
      "list list"
      / 1fr auto;
    row-gap: 8px;
  }
}
